4Suite™ API Documentation

# ► Module Ft.Server.Server.Daemon

Classes: Daemon |  |  |  | Fields: name

## Classes

class Daemon(threading.Thread)

### Methods

__init__(self, mutex, listeners, errorLog)
__repr__(self)
run(self)
Each thread runs within this function. They wait for a job to become available, then handle all the requests on that connection until it is closed, then return to wait for more jobs.

### Methods inherited from class threading.Thread

getName, isAlive, isDaemon, join, setDaemon, setName, start

### Methods inherited from class __builtin__.object

__delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __setattr__, __str__

### Fields

name = 'ENONET'